---
title: Delete Chat
description: Deletes a specific chat based on the provided chatId. This operation is irreversible and permanently removes the chat and its contents.
docs_index: /docs/llms.txt
lastUpdated: 2026-10-23
product: v0 API
type: reference
prerequisites:
  - /docs/api/v1/quickstart
---

> For an index of all documentation, see [/docs/llms.txt](/docs/llms.txt).

Deletes a specific chat based on the provided chatId. This operation is irreversible and permanently removes the chat and its contents.

#### `DELETE /v1/chats/{chatId}`

## Usage

```typescript
import { v0 } from 'v0-sdk'

const result = await v0.chats.delete({
  chatId: '123',
})

console.log(result)
```

```bash
curl -X DELETE https://api.v0.dev/v1/chats/123   -H "Authorization: Bearer $V0_API_KEY"   -H "Content-Type: application/json"
```

## API Signature

### Request

#### Path Parameters

- `chatId: string` The unique identifier of the chat to delete. This must be passed as a path parameter in the URL.

### Response

- `id: string`
- `object: 'chat'`
- `deleted: 'true'`

---

For a semantic overview of all documentation, see [/docs/sitemap.md](/docs/sitemap.md)

For an index of all available documentation, see [/docs/llms.txt](/docs/llms.txt)

For agent-facing discovery, including API and MCP surfaces, see [/docs/agents.md](/docs/agents.md)